# Generated by Django 2.2.4 on 2019-11-08 09:23

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import django.utils.timezone


class Migration(migrations.Migration):

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('review', '0006_griditems_incuiries_incuiryphoto'),
    ]

    operations = [
        migrations.CreateModel(
            name='Inquiries',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', models.DateTimeField(default=django.utils.timezone.now, editable=False, verbose_name='Date created')),
                ('modified', models.DateTimeField(auto_now=True, verbose_name='Date updated')),
                ('old_id', models.PositiveIntegerField(blank=True, default=None, null=True, verbose_name='old id')),
                ('comment', models.TextField(blank=True, null=True, verbose_name='comment')),
                ('final_comment', models.TextField(blank=True, null=True, verbose_name='final comment')),
                ('mark', models.PositiveIntegerField(blank=True, default=None, null=True, verbose_name='mark')),
                ('attachment_file', models.URLField(blank=True, default=None, max_length=255, null=True, verbose_name='attachment')),
                ('bill_file', models.URLField(blank=True, default=None, max_length=255, null=True, verbose_name='bill')),
                ('price', models.DecimalField(blank=True, decimal_places=2, max_digits=7, null=True, verbose_name='price')),
                ('moment', models.PositiveSmallIntegerField(choices=[(0, 'none'), (1, 'diner'), (2, 'lanch')], default=0)),
                ('decibels', models.CharField(blank=True, max_length=255, null=True)),
                ('nomination', models.CharField(blank=True, max_length=255, null=True)),
                ('nominee', models.CharField(blank=True, max_length=255, null=True)),
                ('author', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='incuiries', to=settings.AUTH_USER_MODEL, verbose_name='author')),
                ('review', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='inquiries', to='review.Review', verbose_name='review')),
            ],
            options={
                'verbose_name': 'Inquiry',
                'verbose_name_plural': 'Inquiries',
            },
        ),
        migrations.RemoveField(
            model_name='incuiryphoto',
            name='incuiry',
        ),
        migrations.AlterModelOptions(
            name='griditems',
            options={'verbose_name': 'inquiry grid', 'verbose_name_plural': 'inquiry grids'},
        ),
        migrations.RemoveField(
            model_name='griditems',
            name='incuiry',
        ),
        migrations.DeleteModel(
            name='Incuiries',
        ),
        migrations.DeleteModel(
            name='IncuiryPhoto',
        ),
        migrations.AddField(
            model_name='griditems',
            name='inquiry',
            field=models.ForeignKey(default=1, on_delete=django.db.models.deletion.CASCADE, related_name='grids', to='review.Inquiries', verbose_name='inquiry'),
            preserve_default=False,
        ),
    ]
